Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Dispatching_Task Class Reference

Implement the dispatching queues for FIFO and Priority dispatching. More...

`#include <EC_Dispatching_Task.h>`

Inheritance diagram for TAO_EC_Dispatching_Task:

[legend]
Collaboration diagram for TAO_EC_Dispatching_Task:

[legend]
List of all members.

## Public Methods
| TAO_EC_Dispatching_Task (ACE_Thread_Manager *thr_manager=0)
| Constructor.
virtual int | svc (void)
| Process the events in the queue.
virtual void | push (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event ACE_ENV_ARG_DECL)
## Private Attributes
ACE_Allocator * | allocator_
| An per-task allocator.
ACE_Locked_Data_Block< ACE_Lock_Adapter< TAO_SYNCH_MUTEX > > | data_block_
| Helper data structure to minimize memory allocations...
TAO_EC_Queue | the_queue_
| The queue.

## Detailed Description

Implement the dispatching queues for FIFO and Priority dispatching.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Dispatching_Task::TAO_EC_Dispatching_Task | ( | ACE_Thread_Manager * | thr_manager = 0 | ) |

| Constructor. Todo: The high water mark and low water mark shouldn't be hardcoded, check http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=565

## Member Function Documentation

void TAO_EC_Dispatching_Task::push | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | RtecEventComm::EventSet &event | ACE_ENV_ARG_DECL
| ) | `[virtual]`

int TAO_EC_Dispatching_Task::svc | ( | void |  | ) | `[virtual]`

| Process the events in the queue. Reimplemented from ACE_Task_Base.

## Member Data Documentation

ACE_Allocator* TAO_EC_Dispatching_Task::allocator_`[private]`

| An per-task allocator.

ACE_Locked_Data_Block<ACE_Lock_Adapter<TAO_SYNCH_MUTEX> > TAO_EC_Dispatching_Task::data_block_`[private]`

| Helper data structure to minimize memory allocations...

TAO_EC_Queue TAO_EC_Dispatching_Task::the_queue_`[private]`

| The queue.

The documentation for this class was generated from the following files:

- EC_Dispatching_Task.h
- EC_Dispatching_Task.cpp
- EC_Dispatching_Task.i